#pragma once

#include "IxWidgetFactory.h"

class TagEditWidget;

class TagEditWidgetFactory : public IxWidgetFactory
{
public:
	TagEditWidgetFactory();
	~TagEditWidgetFactory();

	void create(qx::IxDataMember* dataMember, QWidget* parent) override;

	QString type() const override;

	QWidget* getWidget() const override;

	IxWidget* getIxWidget() const override;

private:
	TagEditWidget* widget;
};
